Subject: Re: bug#16569: Python package doesn't install ctypes module

From: [email-masked] (Ludovic Courtès)
Date: Sun, 02 Feb 2014 08:26:50 +0100

Cyril Roelandt <[email-masked]> skribis:

> On 01/27/2014 08:17 PM, Sree Harsha Totakura wrote:
>> On 01/27/2014 07:06 PM, Ludovic Courtès wrote:
>>> Is this fixed with the libffi change you proposed (commit
>>> d43547f12d4eae19845f3bf13a53a050af965063)?
>>
>> I haven't tested it, but I don't think the libffi change I proposed
>> would fix this, because python source comes with libffi.
>>
>
> Actually, it helps! Python only uses its own version of libffi if no
> libffi can be found on the system.

So the change makes it use the system’s libffi, but it doesn’t make it
build ctype, does it?

> I'll send a patch that forces Python to use the system libffi.

But if the libffi change above solves this problem, what else is needed?

Thanks,
Ludo’.